/* Custom styles for Anytime */

.has-contrast-color {
  color: var(--text-primary) !important;
}

.has-base-background-color {
  background-color: var(--background-primary) !important;
}

.wp-block-search__input,
:where(.wp-block-search__button-inside .wp-block-search__inside-wrapper) {
  color: var(--text-primary);
  background-color: var(--background-secondary);
}

:root
  :where(
    .wp-block-search .wp-element-button,
    .wp-block-search .wp-block-button__link
  ) {
  color: var(--text-secondary);
  background-color: var(--background-secondary);
}

:root
  :where(
    .wp-block-search .wp-element-button:hover,
    .wp-block-search .wp-block-button__link:hover
  ) {
  color: var(--text-primary);
  border-color: var(--text-muted) !important;
}

:root :where(.wp-element-button, .wp-block-button__link) {
  border-color: var(--background-secondary);
}

.wp-block-button a,
.is-style-norrsken-post-terms a,
.is-style-norrsken-pagination > a,
.is-style-norrsken-pagination .wp-block-query-pagination-numbers > a,
.special-button {
  color: var(--text-primary);
  background: var(--background-primary);
  border: 1px solid var(--border-primary);
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  text-transform: uppercase;
  transition: all 0.3s ease-in-out;
}

.wp-block-button a:hover,
.is-style-norrsken-post-terms a:hover,
.is-style-norrsken-pagination > a:hover,
.is-style-norrsken-pagination .wp-block-query-pagination-numbers > a:hover,
.special-button:hover {
  color: var(--background-secondary);
  background: var(--text-primary);
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.wpcf7-text,
.wpcf7-textarea,
.wpcf7-form-control,
input[type='checkbox'],
.wpcf7-form-control-wrap {
  color: var(--text-primary) !important;
  background-color: var(--background-primary) !important;
}
